#!/usr/bin/env python3
from sys import argv
import sys
import os
##################################################
#  makeFX.py
#  This program makes a skleton JavaFX file and
#  puts an author and date comment into it
#  Usage:
#     makeFX.py Program mmddyy
#         Program: program name
#         mmddyy is a date  ex: 052619 is 26 May 2019
##################################################
if len(argv) < 3:
    print("Usage: makeFX.py Program mmddyy")
    quit()
progName = argv[1]
mos = ["", "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]
date = argv[2]
mo=date[:2]
day = date[2:4]
yr = date[4:]
short = date[:4]
print("date=%s, month = %s, year = %s" %(day, mo, yr))
fp = open(progName + ".java", "w")
fp.write("""/**************************************************
*   Author: Morrison
*   Date:  %s %s 20%s
**************************************************/
""" %(day, mos[int(mo, 10)], yr))
fp.write("""
import javafx.application.Application;
import javafx.application.Platform;
import javafx.stage.Stage;
import javafx.scene.Scene;

public class %s extends Application
{
    public %s()
    {
    }
    
    @Override
    public void init()
    {
    }

    @Override
    public void start(Stage primary)
    {
        
        primary.show();
    }

    @Override
    public void stop()
    {
    }
}"""% (progName, progName))

